# Main

```lua
Config = {}

Config.Debug = true

Config.Locale = "en"

Config.Notify = function(msg)
  AddTextEntry('Notification', msg)
  BeginTextCommandThefeedPost('Notification')
  EndTextCommandThefeedPostTicker(false, true)
end

Config.HelpNotify = function(msg)
  AddTextEntry('huntingHelpNotify', "~INPUT_CONTEXT~ " .. msg)
  DisplayHelpTextThisFrame('huntingHelpNotify', false)
end

---@param duration number in ms
Config.ProgressBar = function (duration)

end

Config.Use3DWorldText = true

Config.Keys = {
  ButcherAnimal = "G"
}

Config.Butcher = {}
Config.Butcher.Minigame = {}
Config.Butcher.Minigame.Active = false
Config.Butcher.Minigame.MaxPressedKeys = 5
Config.Butcher.Minigame.LookAtKeys = true
Config.Butcher.Minigame.DisplayOnScreenEye = true -- only works when 'LookAtKeys' is also true
Config.Butcher.Minigame.KeyList = {
  "G",
  "E",
  "F"
}

Config.Gadgets = {
  Grill = {
    Model = "wise_bbq", -- VANILLA: gr_prop_gr_hobo_stove_01
    CookingTimePerItem = 10, -- in Secondes
    Price = 1000
  },
  Tracker = {
    Duration = 20, -- in Secondes
    Price = 600
  },
  Bait = {
    RadialBlip = true,
    Duration = 30, -- in Secondes
    Radius = 80,
    Price = 700
  }
}

Config.GrillList = {
  {
    label = "Grilled Deer Meat",
    from = "deer_meat",
    to = "grilled_deer_meat"
  },
  {
    label = "Grilled Boar Meat",
    from = "boar_meat",
    to = "grilled_boar_meat"
  },
  {
    label = "Grilled Pork",
    from = "pork",
    to = "grilled_pork"
  },
  {
    label = "Grilled Beef",
    from = "beef",
    to = "grilled_beef"
  },
  {
    label = "Grilled Chicken Wings",
    from = "chicken_wings",
    to = "grilled_chicken_wings"
  },
  {
    label = "Grilled Lion Meat",
    from = "lion_meat",
    to = "grilled_lion_meat"
  },
  {
    label = "Grilled Rabbit Meat",
    from = "rabbit_meat",
    to = "grilled_rabbit_meat"
  }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wise-scripts.vip/scripts/wise-hunting/example-configs/main.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
